CVE-2018-16750

NameCVE-2018-16750
DescriptionIn ImageMagick 7.0.7-29 and earlier, a memory leak in the formatIPTCfromBuffer function in coders/meta.c was found.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imagemagick (PTS)jessie8:6.8.9.9-5+deb8u12vulnerable
jessie (security)8:6.8.9.9-5+deb8u15vulnerable
stretch (security), stretch8:6.9.7.4+dfsg-11+deb9u6vulnerable
buster, sid8:6.9.10.14+dfsg-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imagemagicksource(unstable)8:6.9.10.2+dfsg-2unimportant

Notes

https://github.com/ImageMagick/ImageMagick/issues/1118
https://github.com/ImageMagick/ImageMagick/commit/33d1b9590c401d4aee666ffd10b16868a38cf705
https://github.com/ImageMagick/ImageMagick6/commit/359331c61193138ce2b85331df25235b81499cfc

Search for package or bug name: Reporting problems